# table_sticky_headers

This package for [Flutter](https://flutter.io) allows you to display two-dimension table with both sticky headers.

Key of this package is sticky headers. Cells aren't much customizable now. It's quite easy to see in separate class all parameters and change them. In future I plan to add customization in table constructor. Feature requests and PRs are welcome.  

![Пример работы](https://github.com/AlexBacich/sticky-headers-table/blob/master/example/sticky_demo.gif?raw=true)


Usage example:

```dart
import 'package:flutter/material.dart';
import 'package:table_sticky_headers/table_sticky_headers.dart';

void main() => runApp(TableSimple());

class TableSimple extends StatelessWidget {
  final List<String> columns = List.generate(10, (i) => '${i + 1}');
  final List<String> rows = List.generate(20, (i) => '${i + 1}');

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: Text('Sticky Headers Two-Dimension  Table'),
          backgroundColor: Colors.amber,
        ),
        body: StickyHeadersTable(
          columnsLength: columns.length,
          rowsLength: rows.length,
          columnsTitleBuilder: (i) => Text('Top ${columns[i]}'),
          rowsTitleBuilder: (i) => Text('Left ${rows[i]}'),
          contentCellBuilder: (i, j) => Text('T${columns[i]} : L${rows[j]}'),
          legendCell: Text('Sticky Legend'),
        ),
      ),
    );
  }
}
```

## Support

Please file [issues and feature requests](https://github.com/AlexBacich/sticky-headers-table).

## Getting Started

This project is a starting point for a Dart
[package](https://flutter.dev/developing-packages/),
a library module containing code that can be shared easily across
multiple Flutter or Dart projects.

For help getting started with Flutter, view our 
[online documentation](https://flutter.dev/docs), which offers tutorials, 
samples, guidance on mobile development, and a full API reference.
